package com.CUST.brain.common.enums;

import lombok.Getter;

/**
 * 性别枚举
 */
@Getter
public enum SexEnum {
    
    /**
     * 男
     */
    MALE("MALE", "男", "0", 1),
    
    /**
     * 女
     */
    FEMALE("FEMALE", "女", "1", 2);

    /**
     * 参数编码
     */
    private final String code;
    
    /**
     * 参数名称
     */
    private final String name;
    
    /**
     * 参数值
     */
    private final String value;
    
    /**
     * 排序号
     */
    private final Integer sort;

    SexEnum(String code, String name, String value, Integer sort) {
        this.code = code;
        this.name = name;
        this.value = value;
        this.sort = sort;
    }

    /**
     * 根据编码获取枚举
     */
    public static SexEnum getByCode(String code) {
        for (SexEnum sex : values()) {
            if (sex.getCode().equals(code)) {
                return sex;
            }
        }
        return null;
    }

    /**
     * 根据值获取枚举
     */
    public static SexEnum getByValue(String value) {
        for (SexEnum sex : values()) {
            if (sex.getValue().equals(value)) {
                return sex;
            }
        }
        return null;
    }
} 